Bug 1312406 - Review Request: python-orderedset - Ordered set implementation in Cython
Review Request: python-orderedset - Ordered set implementation in Cython
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1312410
  Show dependency treegraph
 
Reported: 2016-02-26 11:05 EST by Jerry James
Modified: 2016-03-05 10:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 10:59:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2016-02-26 11:05:05 EST
Spec URL: https://jjames.fedorapeople.org/python-orderedset/python-orderedset.spec
SRPM URL: https://jjames.fedorapeople.org/python-orderedset/python-orderedset-2.0-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: Orderedset contains an ordered set implementation in Cython. Features:
- Works like a regular set, but remembers insertion order;
- Is approximately 5 times faster than the pure Python implementation overall (and 5 times slower than set);
- Compatible with Python 2.6 through 3.4.;
- Supports the full set interface;
- Supports some list methods, like index and __getitem__;
- Supports set methods against iterables.
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-02-27 21:31:15 EST
Would it be possible to build both versions from the same build directory?
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-02-27 21:34:00 EST
Hm, you're building it for rawhide. Is it incompatible with Python 3.5? Most likely you can drop this line from the description, it's not relevant to distribution users.
Comment 3 Jerry James 2016-03-02 22:25:16 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Would it be possible to build both versions from the same build directory?

As I mentioned in the other bug, I would really rather not, even if it is possible.  This way I know that neither build has affected the other.

(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> Hm, you're building it for rawhide. Is it incompatible with Python 3.5? Most
> likely you can drop this line from the description, it's not relevant to
> distribution users.

Right, I will remove that line from the description.  Do you want a new source RPM with just the one change?
Comment 4 Zbigniew Jędrzejewski-Szmek 2016-03-03 08:11:58 EST
+ latest version (git snapshot)
+ license is acceptable (BSD)
+ license file is present, %license is used
+ provides/requires look OK
+ %python_provide is used
+ no scriptlets present or necessary
+ rpmlint: spelling-error and unversioned-explicit-provides warnings, both bogus

Package is APPROVED.
Comment 5 Jerry James 2016-03-04 16:10:39 EST
Thank you again for the review.  New package requested.
Comment 6 Gwyn Ciesla 2016-03-04 17:25:09 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-orderedset

Note You need to log in before you can comment on or make changes to this bug.